package com.bootdo.system.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * 第三方接口表
 */
public class ThirdMsgLogDO implements Serializable {

    /**
     * 主键
     */
    private Integer logId;

    /**
     * 第三方系统
     */
    private String operationType;

    /**
     * 响应结果
     */
    private String resultCode;

    /**
     * 结果描述
     */
    private String resultDesc;

    /**
     * 关联ID
     */
    private String relateId;

    /**
     * 耗时
     */
    private String cost;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 接口类型
     */
    private String callType;

    /**
     * 返回描述
     */
    private String data;

    private static final long serialVersionUID = 1L;

    public ThirdMsgLogDO() {
    }

    public ThirdMsgLogDO(Integer logId, String operationType, String resultCode, String resultDesc, String relateId,
                         String cost, Date createTime, String callType, String data) {
        this.logId = logId;
        this.operationType = operationType;
        this.resultCode = resultCode;
        this.resultDesc = resultDesc;
        this.relateId = relateId;
        this.cost = cost;
        this.createTime = createTime;
        this.callType = callType;
        this.data = data;
    }

    public ThirdMsgLogDO(String operationType, Date createTime, String callType, String data) {
        this.operationType = operationType;
        this.resultCode = resultCode;
        this.resultDesc = resultDesc;
        this.relateId = relateId;
        this.cost = cost;
        this.createTime = createTime;
        this.callType = callType;
        this.data = data;
    }

    public Integer getLogId() {
        return logId;
    }

    public void setLogId(Integer logId) {
        this.logId = logId;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getResultDesc() {
        return resultDesc;
    }

    public void setResultDesc(String resultDesc) {
        this.resultDesc = resultDesc;
    }

    public String getRelateId() {
        return relateId;
    }

    public void setRelateId(String relateId) {
        this.relateId = relateId;
    }

    public String getCost() {
        return cost;
    }

    public void setCost(String cost) {
        this.cost = cost;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCallType() {
        return callType;
    }

    public void setCallType(String callType) {
        this.callType = callType;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "ThirdMsgLogDO{" +
                "logId=" + logId +
                ", operationType='" + operationType + '\'' +
                ", resultCode='" + resultCode + '\'' +
                ", resultDesc='" + resultDesc + '\'' +
                ", relateId='" + relateId + '\'' +
                ", cost='" + cost + '\'' +
                ", createTime=" + createTime +
                ", callType='" + callType + '\'' +
                ", data='" + data + '\'' +
                '}';
    }
}